%define major_ver	%(echo %{version}|cut -d. -f1,2)
%define libname		%mklibname %{name} %{tcl_version}
%define develname	%mklibname %name -d

%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh || echo 'Unknown version')}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}

Name:		tclx
Epoch:		0
Version:	8.4.4
Release:	%mkrel 2
Summary:	Tcl/Tk extensions for POSIX systems
License:	BSD
Group:		System/Libraries
URL:		https://tclx.sourceforge.net/
Source0:	https://github.com/flightaware/tclx/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		tclx-8.4-varinit.patch
Patch3:		tclx-8.4-man.patch
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(tk)
BuildRequires:	groff


%description
TclX is a set of extensions which make it easier to use the Tcl
scripting language for common UNIX/Linux programming tasks.  TclX
enhances Tcl support for files, network access, debugging, math, lists,
and message catalogs.  TclX can be used with both Tcl and Tcl/Tk
applications.

Install TclX if you are developing applications with Tcl/Tk.  You'll
also need to install the tcl and tk packages.

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Requires:	tcl(abi) = %{tcl_version}
Requires:	tk
Provides:	%{name} = %{epoch}:%{version}-%{release}
Provides:	lib%{name} = %{epoch}:%{version}-%{release}


%description -n %{libname}
TclX is a set of extensions which make it easier to use the Tcl
scripting language for common UNIX/Linux programming tasks.  TclX
enhances Tcl support for files, network access, debugging, math, lists,
and message catalogs.  TclX can be used with both Tcl and Tcl/Tk
applications.

Install TclX if you are developing applications with Tcl/Tk.  You'll
also need to install the tcl and tk packages.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{epoch}:%{version}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--with-tcl=%{_libdir} \
	--with-tclinclude=%{_includedir} \
	--libdir=%{tcl_sitearch} \
	--disable-threads \
	--enable-shared \
	--enable-64bit

# parallell build is borked!
%__make

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d/
echo '%{_libdir}/tcl%{tcl_version}/%{name}%{tcl_version}' > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}%{tcl_version}-%{_arch}.conf

%files -n %{libname}
%doc ChangeLog README.md
%{_sysconfdir}/ld.so.conf.d/%{name}%{tcl_version}-%{_arch}.conf
%{tcl_sitearch}/tclx%{tcl_version}

%files -n %{develname}
%{_includedir}/*.h
%{_mandir}/man3/*
%{_mandir}/mann/*


%changelog
* Wed Dec 07 2022 daviddavid <daviddavid> 0:8.4.4-2.mga9
+ Revision: 1918795
- Mageia 9 Mass Rebuild

* Mon Aug 31 2020 daviddavid <daviddavid> 0:8.4.4-1.mga8
+ Revision: 1620260
- new version: 8.4.4
- now libmajor is 8.6
- update Source Url

* Thu Jan 16 2020 wally <wally> 0:8.4.1-12.mga8
+ Revision: 1480637
- replace deprecated %%configure2_5x

* Fri Apr 05 2019 tv <tv> 0:8.4.1-12.mga7
+ Revision: 1385962
- use /etc/ld.so.conf.d/ instead of providing /lib64/\*so (really)

* Sun Sep 23 2018 umeabot <umeabot> 0:8.4.1-11.mga7
+ Revision: 1301340
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 pterjan <pterjan> 0:8.4.1-10.mga7
+ Revision: 1245724
- Allow recreating the src.rpm without tcl installed
+ daviddavid <daviddavid>
- rebuild with %%configure2_5x macros

* Fri Feb 12 2016 umeabot <umeabot> 0:8.4.1-9.mga6
+ Revision: 958984
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 blino <blino> 0:8.4.1-8.mga6
+ Revision: 891690
- move requires to the binary package and use versioned tcl dependency

* Tue Oct 13 2015 blino <blino> 0:8.4.1-7.mga6
+ Revision: 890266
- rebuild for tcl 8.6

* Wed Oct 15 2014 umeabot <umeabot> 0:8.4.1-6.mga5
+ Revision: 748192
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:8.4.1-5.mga5
+ Revision: 689748
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0:8.4.1-4.mga4
+ Revision: 537996
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 joequant <joequant> 0:8.4.1-3.mga4
+ Revision: 488230
- add tclx link

* Sat Aug 03 2013 joequant <joequant> 0:8.4.1-2.mga4
+ Revision: 462945
- add platform independent provides

* Sun May 26 2013 blino <blino> 0:8.4.1-1.mga4
+ Revision: 427752
- fix tclx dir
- drop merged patch
- 8.4.1

* Mon Jan 14 2013 umeabot <umeabot> 0:8.4-2.mga3
+ Revision: 384165
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 25 2012 blino <blino> 0:8.4-1.mga2
+ Revision: 226151
- add sha1.lst
- use mklibname macro for devel package
- remove help hack since we do no build help files anymore
- update filelist for 8.4
- use tcl libdir (from Fedora)
- disable threads
- 8.4 (sync patches and build process from Fedora)
- drop old scriptlets
- import spec from last Mandriva revision before svn deletion (/cooker/tclx/current@477297)
- Created package structure for tclx.

